summaryrefslogtreecommitdiffstats
path: root/meta/recipes-gnome
Commit message (Collapse)AuthorAgeFilesLines
...
* libgnome-keyring: remove eggdbus dependency, it has an in-tree copyRoss Burton2012-07-191-2/+2
| | | | | Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* Remove a number of unneeded import os/bb callsRichard Purdie2012-07-194-8/+0
| | | | | | | | The bb and os modules are always imported so having these extra import calls are a waste of space/execution time. They also set a bad example for people copy and pasting code so clean them up. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* Convert tab indentation in python functions into four-spaceRichard Purdie2012-07-195-42/+42
| | | | Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* librsvg: fix build with automake 1.12.xNitin A Kamble2012-07-171-6/+2
| | | | | | | | | | | automake 1.12.x automatically deletes empty directories, so the additional rmdir from the do_install_append fails. cleanup the do_install_append for automake 1.12.x Signed-off-by: Nitin A Kamble <nitin.a.kamble@intel.com> Signed-off-by: Saul Wold <sgw@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* Update proto -> protocol for recipesSaul Wold2012-07-161-1/+1
| | | | Signed-off-by: Saul Wold <sgw@linux.intel.com>
* gconf: Disable gtk supportRichard Purdie2012-07-161-5/+3
| | | | | | | | | | There are only a couple of helper utilities within gconf that need gtk+ as a dependency and those are unused and pretty useless. We might as well drop the dependency on gtk and allow more parallel builds by reducing dependency bottlenecks. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org> Signed-off-by: Saul Wold <sgw@linux.intel.com>
* PR bumps for PACKAGES reorderSaul Wold2012-06-192-2/+2
| | | | Signed-off-by: Saul Wold <sgw@linux.intel.com>
* gthumb: clean up FILE after PACKAGE reorderSaul Wold2012-06-191-4/+8
| | | | Signed-off-by: Saul Wold <sgw@linux.intel.com>
* gnome-keyring: clean up FILE after PACKAGE reorderSaul Wold2012-06-191-4/+10
| | | | Signed-off-by: Saul Wold <sgw@linux.intel.com>
* gdk-pixbuf: Fix lsb builds where dependency may be missingRichard Purdie2012-05-151-0/+1
| | | | | | | | We turn on the xlib depdendency for linuxstdbase builds but were missing the dependency on libx11. This adds the missing dependency. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gdk-pixbuf: Allow empty -xlib packageRichard Purdie2012-05-151-1/+2
| | | | | | | | | | | | | There are things that depend on the -xlib package. There are two possible ways to fix this, either recommend them instead of depending on them, or allow the package to be empty. I'm doing the latter since its a bit cleaner and less invasive. This library is a bit pointless which is why there is little point in adding the x dependency in the non-lsb case. If it becomes widly used we can rethink this. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gdk-pixbuf: Drop unneeded RPROVIDESRichard Purdie2012-05-121-2/+1
| | | | Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gdk-pixbuf: Add --with-x11 when building lsb imageXiaofeng Yan2012-05-111-2/+9
| | | | | | | | | | | LSB Test Suite complains "No library libgdk_pixbuf_xlib-2.0.so.0" \ because of having "--without-x11" for gdk-pixbuf_2.24.1.bb. Use the linuxstdbase override and also make it conditional on x11 \ being in DISTRO_FEATURES for passing lsb test. Split libgdk_pixbuf_xlib to a single package. Signed-off-by: Xiaofeng Yan <xiaofeng.yan@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gobject-introspection: upgrade to 1.32.1Martin Jansa2012-05-061-5/+8
| | | | | | | * simplify SRC_URI * add COPYING to LIC_FILES_CHKSUM Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gtk-engines: fix build with glib-2.32Martin Jansa2012-05-032-1/+25
| | | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* evolation-data-server: Rename from eds-dbusSaul Wold2012-04-263-3/+3
| | | | | | [YOCTO #2316] Signed-off-by: Saul Wold <sgw@linux.intel.com>
* gthumb: Disable parallel make for gthumb installDarren Hart2012-04-241-0/+2
| | | | | | | | | | | | | With PARALLEL_MAKE set to 14, I frequently see the gthumb do_install task hang. Make is spinning at 100% CPU and the build makes no more progress. The following work-around proposed by Richard Purdie allows progress to be made. Signed-off-by: Darren Hart <dvhart@linux.intel.com> CC: Joshua Lock <josh@linux.intel.com> CC: Richard Purdie <richard.purdie@linuxfoundation.org>
* librsvg: import native support from meta-oeMartin Jansa2012-04-241-0/+2
| | | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gdk-pixbuf: Fix checksum warning issueRichard Purdie2012-03-301-1/+1
| | | | Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gdk-pixbuf: upgrade to 2.24.1Shane Wang2012-03-214-5/+5
| | | | Signed-off-by: Shane Wang <shane.wang@intel.com>
* gdk-pixbuf: Disable xlib library since we don't have anything needing this ↵Richard Purdie2012-03-191-0/+1
| | | | | | | | as yet and no libx11 DEPENDS This is currently causing builds not to be deterministic. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnome-desktop: fix package warningsSaul Wold2012-03-191-2/+3
| | | | | | | WARNING: For recipe gnome-desktop, the following files/directories were installed but not shipped in any package: WARNING: /usr/share/libgnome-desktop WARNING: /usr/share/libgnome-desktop/pnp.ids Signed-off-by: Saul Wold <sgw@linux.intel.com>
* gtk-theme-torturer: Fix license warningSaul Wold2012-03-151-1/+1
| | | | | | | | WARNING: gtk-theme-torturer: No generic license file exists for: GPL in any provider Talk with author of code and confirmed licnese, they will be adding COPYING upstream Signed-off-by: Saul Wold <sgw@linux.intel.com>
* librsvg: really bump PRMartin Jansa2012-03-141-1/+1
| | | | | | | | | * it was downgraded from r4 to r1 in http://git.openembedded.org/openembedded-core/commit/meta/recipes-gnome/librsvg/librsvg_2.32.1.bb?id=50ad5230ea9e0982cdfda23fb9fcfccf89d28f29 so even with latest change making it r3 we had still on lower version that we had before for 2.32.1 Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gobject-introspection: update to 1.31.20Kang Kai2012-03-141-0/+28
| | | | | | | | Add a new recipe file to update gobject-introspection to 1.31.20, instead of git version. Signed-off-by: Kang Kai <kai.kang@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnome-doc-utils: Clarify license as GPLv2 and LGPLv2.1Richard Purdie2012-03-132-2/+2
| | | | Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gtk-doc: Clarify license as GPLv2Richard Purdie2012-03-131-1/+1
| | | | | | | The .m4 file has no details but the upstream project is clearly GPLv2 so update the LICENSE file to match. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* librsvg: Fix unpackaged directory warningsRichard Purdie2012-03-131-1/+6
| | | | | | | | | | This patch fixes the QA warnings: WARNING: For recipe librsvg, the following files/directories were installed but not shipped in any package: WARNING: /usr/lib/gtk-3.0 WARNING: /usr/lib/gtk-3.0/engines Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gtk+: Amend upstream status of configure-nm.patchJames Limbouris2012-03-081-1/+3
| | | | | Signed-off-by: James Limbouris <james@digitalmatter.com.au> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gdk-pixbuf: Pick up ${NM} from the environment.James Limbouris2012-03-082-1/+23
| | | | | Signed-off-by: James Limbouris <james@digitalmatter.com.au> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* meta: Replace bb.data.expand(xxx, d) -> d.expand(xxx)Richard Purdie2012-03-054-4/+4
| | | | | | | | sed \ -e 's:bb.data.\(expand([^,()]*\), *\([^) ]*\) *):\2.\1):g' \ -i `grep -ril bb.data.expand *` Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* meta: Convert getVar/getVarFlag(xxx, 1) -> (xxx, True)Richard Purdie2012-03-055-11/+11
| | | | | | | | | | | | Using "1" with getVar is bad coding style and "True" is preferred. This patch is a sed over the meta directory of the form: sed \ -e 's:\(\.getVar([^,()]*, \)1 *):\1True):g' \ -e 's:\(\.getVarFlag([^,()]*, [^,()]*, \)1 *):\1True):g' \ -i `grep -ril getVar *` Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gtk+ 2.24.8: bump PR to force rebuild and feed updateKoen Kooi2012-03-051-1/+1
| | | | | | | | | This should errors similar to this one: /usr/libexec/gdm-simple-greeter: symbol lookup error: /usr/lib/libgdk-x11-2.0.so.0: undefined symbol: _XGetRequest Signed-off-by: Koen Kooi <koen@dominion.thruhere.net> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gthumb: Resolve staticdev QA warningsRichard Purdie2012-02-241-1/+5
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | Since the .a files are pretty useless in the case of plugin modules, lets just remove them. This resolves the warnings: WARNING: QA Issue: non -staticdev package contains static .a library: gthumb path '/work/x86_64-poky-linux/gthumb-2.12.4-r1/packages-split/gthumb/usr/lib/gthumb/extensions/libslideshow.a' WARNING: QA Issue: non -staticdev package contains static .a library: gthumb path '/work/x86_64-poky-linux/gthumb-2.12.4-r1/packages-split/gthumb/usr/lib/gthumb/extensions/libimporter.a' WARNING: QA Issue: non -staticdev package contains static .a library: gthumb path '/work/x86_64-poky-linux/gthumb-2.12.4-r1/packages-split/gthumb/usr/lib/gthumb/extensions/libimage_viewer.a' WARNING: QA Issue: non -staticdev package contains static .a library: gthumb path '/work/x86_64-poky-linux/gthumb-2.12.4-r1/packages-split/gthumb/usr/lib/gthumb/extensions/libchange_date.a' WARNING: QA Issue: non -staticdev package contains static .a library: gthumb path '/work/x86_64-poky-linux/gthumb-2.12.4-r1/packages-split/gthumb/usr/lib/gthumb/extensions/libedit_metadata.a' WARNING: QA Issue: non -staticdev package contains static .a library: gthumb path '/work/x86_64-poky-linux/gthumb-2.12.4-r1/packages-split/gthumb/usr/lib/gthumb/extensions/libgstreamer_tools.a' WARNING: QA Issue: non -staticdev package contains static .a library: gthumb path '/work/x86_64-poky-linux/gthumb-2.12.4-r1/packages-split/gthumb/usr/lib/gthumb/extensions/libphoto_importer.a' WARNING: QA Issue: non -staticdev package contains static .a library: gthumb path '/work/x86_64-poky-linux/gthumb-2.12.4-r1/packages-split/gthumb/usr/lib/gthumb/extensions/libimage_rotation.a' WARNING: QA Issue: non -staticdev package contains static .a library: gthumb path '/work/x86_64-poky-linux/gthumb-2.12.4-r1/packages-split/gthumb/usr/lib/gthumb/extensions/libfile_viewer.a' WARNING: QA Issue: non -staticdev package contains static .a library: gthumb path '/work/x86_64-poky-linux/gthumb-2.12.4-r1/packages-split/gthumb/usr/lib/gthumb/extensions/libpixbuf_savers.a' WARNING: QA Issue: non -staticdev package contains static .a library: gthumb path '/work/x86_64-poky-linux/gthumb-2.12.4-r1/packages-split/gthumb/usr/lib/gthumb/extensions/libexport_tools.a' WARNING: QA Issue: non -staticdev package contains static .a library: gthumb path '/work/x86_64-poky-linux/gthumb-2.12.4-r1/packages-split/gthumb/usr/lib/gthumb/extensions/libconvert_format.a' WARNING: QA Issue: non -staticdev package contains static .a library: gthumb path '/work/x86_64-poky-linux/gthumb-2.12.4-r1/packages-split/gthumb/usr/lib/gthumb/extensions/librename_series.a' WARNING: QA Issue: non -staticdev package contains static .a library: gthumb path '/work/x86_64-poky-linux/gthumb-2.12.4-r1/packages-split/gthumb/usr/lib/gthumb/extensions/libfile_tools.a' WARNING: QA Issue: non -staticdev package contains static .a library: gthumb path '/work/x86_64-poky-linux/gthumb-2.12.4-r1/packages-split/gthumb/usr/lib/gthumb/extensions/libwebalbums.a' WARNING: QA Issue: non -staticdev package contains static .a library: gthumb path '/work/x86_64-poky-linux/gthumb-2.12.4-r1/packages-split/gthumb/usr/lib/gthumb/extensions/libcatalogs.a' WARNING: QA Issue: non -staticdev package contains static .a library: gthumb path '/work/x86_64-poky-linux/gthumb-2.12.4-r1/packages-split/gthumb/usr/lib/gthumb/extensions/libresize_images.a' WARNING: QA Issue: non -staticdev package contains static .a library: gthumb path '/work/x86_64-poky-linux/gthumb-2.12.4-r1/packages-split/gthumb/usr/lib/gthumb/extensions/libimage_print.a' WARNING: QA Issue: non -staticdev package contains static .a library: gthumb path '/work/x86_64-poky-linux/gthumb-2.12.4-r1/packages-split/gthumb/usr/lib/gthumb/extensions/libdesktop_background.a' WARNING: QA Issue: non -staticdev package contains static .a library: gthumb path '/work/x86_64-poky-linux/gthumb-2.12.4-r1/packages-split/gthumb/usr/lib/gthumb/extensions/libred_eye_removal.a' WARNING: QA Issue: non -staticdev package contains static .a library: gthumb path '/work/x86_64-poky-linux/gthumb-2.12.4-r1/packages-split/gthumb/usr/lib/gthumb/extensions/libcomments.a' WARNING: QA Issue: non -staticdev package contains static .a library: gthumb path '/work/x86_64-poky-linux/gthumb-2.12.4-r1/packages-split/gthumb/usr/lib/gthumb/extensions/libfile_manager.a' WARNING: QA Issue: non -staticdev package contains static .a library: gthumb path '/work/x86_64-poky-linux/gthumb-2.12.4-r1/packages-split/gthumb/usr/lib/gthumb/extensions/libjpeg_utils.a' WARNING: QA Issue: non -staticdev package contains static .a library: gthumb path '/work/x86_64-poky-linux/gthumb-2.12.4-r1/packages-split/gthumb/usr/lib/gthumb/extensions/libgstreamer_utils.a' WARNING: QA Issue: non -staticdev package contains static .a library: gthumb path '/work/x86_64-poky-linux/gthumb-2.12.4-r1/packages-split/gthumb/usr/lib/gthumb/extensions/liblist_tools.a' WARNING: QA Issue: non -staticdev package contains static .a library: gthumb path '/work/x86_64-poky-linux/gthumb-2.12.4-r1/packages-split/gthumb/usr/lib/gthumb/extensions/libbookmarks.a' WARNING: QA Issue: non -staticdev package contains static .a library: gthumb path '/work/x86_64-poky-linux/gthumb-2.12.4-r1/packages-split/gthumb/usr/lib/gthumb/extensions/libsearch.a' WARNING: QA Issue: non -staticdev package contains static .a library: gthumb path '/work/x86_64-poky-linux/gthumb-2.12.4-r1/packages-split/gthumb/usr/lib/gthumb/extensions/libraw_files.a' Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* recipes: bump PR to rebuild .la files without libz.laMartin Jansa2012-02-2110-8/+12
| | | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* zlib: Upgrade 1.2.5 -> 1.2.6Khem Raj2012-02-107-8/+8
| | | | | | | | | | | | | | | | | | | | | | Dont use autotools, it really not so autoconf like. the configure script gets updated with every release of zlib and we overwrite that. Instead use the upstream provided configure copyright year was changed in zlib.h which caused change in LIC_FILE_CHECKSUM fix.inverted.LFS.logic.patch is already applied upstream so drop it Drop the configure.ac and Makefile.am scripts since we do not autoreconf anymore and do not inherit autotools anymore Bump PR for depending recipes so a rebuild it ensues so that they dont depend on .la anymore and add missing dependencies discovered during incremental build Signed-off-by: Khem Raj <raj.khem@gmail.com>
* gconf,consolekit: Avoid polkit when compiling with uclibcKhem Raj2012-02-071-2/+7
| | | | | | | | polkit uses netdb functionality from glibc which is not available in uclibc therefore we avoid polkit when compiling for uclibc systems. Signed-off-by: Khem Raj <raj.khem@gmail.com>
* gconf: enable gtk+ 2.0 support to build gconf-sanity-check-2Koen Kooi2012-01-161-9/+11
| | | | | | | | | This is needed for e.g. gnome-session: gnome-session[424]: WARNING: Failed to run gconf-sanity-check-2: Failed to execute child process "/usr/libexec/gconf-sanity-check-2" (No such file or directory) Signed-off-by: Koen Kooi <koen@dominion.thruhere.net> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gtk.inc: Change configuration of directfb to gtk-directfbXiaofeng Yan2012-01-161-1/+1
| | | | | | | | | "direcdtfb" is a wrong configuration in PACKAGECONFIG. It should be "gtk-directfb". PACKAGECONFIG can't select directfb as backend rightly, or else. [YOCTO #1900] Signed-off-by: Xiaofeng Yan <xiaofeng.yan@windriver.com>
* native.bbclass: Fix variable remapping coverageRichard Purdie2012-01-051-0/+1
| | | | | | | | | | | | | | | When looking for RDEPENDS to process, bitbake iterates through PACKAGES *and* PN. Since native.bbclass sets PACKAGES to be empty, its pointless remapping the list of PACKAGES since this does nothing. There is a problem since *_${PN} are used by bitbake but not remapped by the native.bbclass class extension code. This changes the code to remap _${PN} in both expanded and unexpanded forms. As a result of this, various surprising dependencies are uncovered and the patch rectifies those. These are real bugs since they're injecting unneeded (unremapped) dependencies into the dependency chain. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* Add Upstream-Status to patchesSaul Wold2012-01-032-1/+3
| | | | Signed-off-by: Saul Wold <sgw@linux.intel.com>
* gnome-keyring: fix gsettings_data_convert seg faultZhai Edwin2012-01-031-2/+10
| | | | | | | | | | gsttings_data_convert cause seg fault as gnome-keyring's schema is not installed properly. As a fix, running glib-compile-schemas from glib-utils to made "gschemas.compiled". [YOCTO #1779] got fixed. Signed-off-by: Zhai Edwin <edwin.zhai@intel.com>
* gdk-pixbuf: Ensure the binaries can be relocatedRichard Purdie2011-12-131-2/+10
| | | | | | | | There are paths hardcoded into the binaries provided by this recipe. This patch adds the neccessary environment options to ensure they can be relocated successfully avoding build failures. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gtk: add demos to the configuation of gtk+Xiaofeng Yan2011-12-131-2/+2
| | | | | | | | | Add demos for checking whether gtk+ run over directfb successfully or not. [YOCTO #1674] Signed-off-by: Xiaofeng Yan <xiaofeng.yan@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gtk.inc: add feature based on directfbXiaofeng Yan2011-12-131-3/+13
| | | | | | | | | | gtk run over x11 at current OE-core. If gtk want to run over directfb, then \ the configuration related to x11 should be disabled and directfb should be enabled. [YOCTO #1674] Signed-off-by: Xiaofeng Yan <xiaofeng.yan@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gtk.inc: ship gtk-demo to independent packageXiaofeng Yan2011-12-081-1/+6
| | | | | | | | | gtk-demo can test gtk over directfb [YOCTO #1674] Signed-off-by: Xiaofeng Yan <xiaofeng.yan@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gconf: Disable dbus-x11 when x11 isn't in DISTRO_FEATURESXiaofeng Yan2011-12-081-2/+4
| | | | | | | | | | If x11 isn't in DISTRO_FEATURES, then an error information "no providers ..." will \ arise. I modified this bb file to disable "dbus-x11" when no x11 in DISTRO_FEATURES. [YOCTO #1674] Signed-off-by: Xiaofeng Yan <xiaofeng.yan@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* OECore license fixes: meta/*Elizabeth Flanagan2011-12-081-2/+2
| | | | | | | | | | | | | | | | | | | | | | | | | This is a quick audit of only the most obviously wrong licenses found within OECore. These fixes fall into four areas: - LICENSE field had incorrect format so that the parser choked - LICENSE field has a license with no version - LICENSE field was actually incorrect - LICENSE field has an imaginary license that didn't exist This fixes most of the LICENSE warnings thrown, along with my prior commit adding additional licenses to common-licenses and additional SPDXLICENSEMAP entries. HOWEVER..... there is much to be done on the license front. For a list of recipes with licenses that need obvious fixing see: https://wiki.yoctoproject.org/wiki/License_Audit That said, I would suggest another license audit as I've found enough inconsistencies. A good suggestion is when in doubt, look at how openSuse or Gentoo or Debian license the package. Signed-off-by: Elizabeth Flanagan <elizabeth.flanagan@intel.com>
* metacity: bump PR for xcb-util changeKoen Kooi2011-12-011-1/+1
| | | | | Signed-off-by: Koen Kooi <koen@dominion.thruhere.net> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnome-desktop: Bump PR after xcb-util changesRichard Purdie2011-12-011-1/+1
| | | | Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>